<html>
<head>
<title>OgreTexture.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">OgreTexture.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreResource_8h_source.html">OgreResource.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreImage_8h_source.html">OgreImage.h</a>&quot;</code><br/>
</div>
<p><a href="OgreTexture_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class representing a <a class="el" href="classOgre_1_1Texture.html" title="Abstract class representing a Texture resource.">Texture</a> resource.  <a href="classOgre_1_1Texture.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TexturePtr.html">Ogre::TexturePtr</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to allow <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to be assigned to <a class="el" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a>.  <a href="classOgre_1_1TexturePtr.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Resources.html#gaf140ec886884a864abc74a7556f8bf67">Ogre::TextureUsage</a> { <br/>
&#160;&#160;<a class="el" href="group__Resources.html#ggaf140ec886884a864abc74a7556f8bf67a375858a86cadfb2a4d20fe837fdb85b3">Ogre::TU_STATIC</a> =  HardwareBuffer::HBU_STATIC, 
<a class="el" href="group__Resources.html#ggaf140ec886884a864abc74a7556f8bf67ad18031f12c4bd22f73b09a4536e99df5">Ogre::TU_DYNAMIC</a> =  HardwareBuffer::HBU_DYNAMIC, 
<a class="el" href="group__Resources.html#ggaf140ec886884a864abc74a7556f8bf67af7b0d53154ffc7c389404dc51c792655">Ogre::TU_WRITE_ONLY</a> =  HardwareBuffer::HBU_WRITE_ONLY, 
<a class="el" href="group__Resources.html#ggaf140ec886884a864abc74a7556f8bf67a2b9d0399c32f2098957ebc089c337e55">Ogre::TU_STATIC_WRITE_ONLY</a> =  HardwareBuffer::HBU_STATIC_WRITE_ONLY, 
<br/>
&#160;&#160;<a class="el" href="group__Resources.html#ggaf140ec886884a864abc74a7556f8bf67ac26eda030d21e0491461edea89394493">Ogre::TU_DYNAMIC_WRITE_ONLY</a> =  HardwareBuffer::HBU_DYNAMIC_WRITE_ONLY, 
<a class="el" href="group__Resources.html#ggaf140ec886884a864abc74a7556f8bf67a79920182637c94fabcf834950096483f">Ogre::TU_DYNAMIC_WRITE_ONLY_DISCARDABLE</a> =  HardwareBuffer::HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE, 
<a class="el" href="group__Resources.html#ggaf140ec886884a864abc74a7556f8bf67a7c14cc95a59af42a63eb33fc9de05d27">Ogre::TU_AUTOMIPMAP</a> =  0x100, 
<a class="el" href="group__Resources.html#ggaf140ec886884a864abc74a7556f8bf67ae1661d9846a9b4e83c2e4cd99fc6ad9d">Ogre::TU_RENDERTARGET</a> =  0x200, 
<br/>
&#160;&#160;<a class="el" href="group__Resources.html#ggaf140ec886884a864abc74a7556f8bf67acaa45fe77d1becf4c5bd353bc2aa764b">Ogre::TU_DEFAULT</a> =  TU_AUTOMIPMAP | TU_STATIC_WRITE_ONLY
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enum identifying the texture usage.  <a href="group__Resources.html#gaf140ec886884a864abc74a7556f8bf67">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7">Ogre::TextureType</a> { <br/>
&#160;&#160;<a class="el" href="group__Resources.html#ggae50520af6377ff8184cf79125cb9c4d7a18bf88d3a14ba28d6602689e398416bd">Ogre::TEX_TYPE_1D</a> =  1, 
<a class="el" href="group__Resources.html#ggae50520af6377ff8184cf79125cb9c4d7af1f732018f5a2a7d35233e2ceeb4ee0e">Ogre::TEX_TYPE_2D</a> =  2, 
<a class="el" href="group__Resources.html#ggae50520af6377ff8184cf79125cb9c4d7aa80e2545e817591a0b4547f987987d43">Ogre::TEX_TYPE_3D</a> =  3, 
<a class="el" href="group__Resources.html#ggae50520af6377ff8184cf79125cb9c4d7ae295fe0fa26623b66cc023f462962344">Ogre::TEX_TYPE_CUBE_MAP</a> =  4, 
<br/>
&#160;&#160;<a class="el" href="group__Resources.html#ggae50520af6377ff8184cf79125cb9c4d7a11589b2d4fbe6213dcdaf4e78894a3a7">Ogre::TEX_TYPE_2D_ARRAY</a> =  5
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enum identifying the texture type.  <a href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Resources.html#ga528ce4f4c67c9b043e1f0b8bb3cdf255">Ogre::TextureMipmap</a> { <a class="el" href="group__Resources.html#gga528ce4f4c67c9b043e1f0b8bb3cdf255a5a6b498127bf3fa219dadfdaaa50b9dd">Ogre::MIP_UNLIMITED</a> =  0x7FFFFFFF, 
<a class="el" href="group__Resources.html#gga528ce4f4c67c9b043e1f0b8bb3cdf255a56eea45719de5246f4ea9b8e8b54921d">Ogre::MIP_DEFAULT</a> =  -1
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enum identifying special mipmap numbers.  <a href="group__Resources.html#ga528ce4f4c67c9b043e1f0b8bb3cdf255">More...</a><br/></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
